org.apache.ignite.configuration

## Interface CommunicationFailureContext

    public interface CommunicationFailureContext

Communication Failure Context.

### Method Summary

All Methods Instance Methods Abstract Methods
`List<List<ClusterNode>>` `cacheAffinity(String cacheName)`
`List<List<ClusterNode>>` `cachePartitionOwners(String cacheName)`
`boolean` `connectionAvailable(ClusterNode node1, ClusterNode node2)`
`void` `killNode(ClusterNode node)`
`Map<String,CacheConfiguration<?,?>>` `startedCaches()`
`List<ClusterNode>` `topologySnapshot()`

### Method Detail

#### topologySnapshot

    List<ClusterNode> topologySnapshot()

Returns:
  Current topology snapshot.

#### connectionAvailable

    boolean connectionAvailable(ClusterNode node1,
                                ClusterNode node2)

Parameters:
  `node1` - First node.
  `node2` - Second node.
Returns:
  `True` if `CommunicationSpi` is able to establish connection from first node to second node.

#### startedCaches

    Map<String,CacheConfiguration<?,?>> startedCaches()

Returns:
  Currently started caches.

#### cacheAffinity

    List<List<ClusterNode>> cacheAffinity(String cacheName)

Parameters:
  `cacheName` - Cache name.
Returns:
  Cache partitions affinity assignment.

#### cachePartitionOwners

    List<List<ClusterNode>> cachePartitionOwners(String cacheName)

Parameters:
  `cacheName` - Cache name.
Returns:
  Cache partitions owners.

#### killNode

    void killNode(ClusterNode node)

Parameters:
  `node` - Node to kill.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.15.0
Release Date | : April 25 2023